package cmm.service;

import java.util.Date;

import cmm.util.CmmVO;

@SuppressWarnings("serial")
public class CmmThemeVO extends CmmVO {
	private String id = null;
	private String themeCd = "";
	private String themeNm = "";
	private String seriesCd = "";
	private String seriesNm = "";
	private String seriesDesc = "";
	private String mainImg = "";
	private String mainImgOrignlFileNm = "";
	private String mainDesc = "";
	private String linkUrl = "";	
	private String useAt = "";
	private Date createDt;
	private Date updateDt;
	private String atchCtrl = "";
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}	
	public String getThemeCd() {
		return themeCd;
	}
	public void setThemeCd(String themeCd) {
		this.themeCd = themeCd;
	}
	public String getThemeNm() {
		return themeNm;
	}
	public void setThemeNm(String themeNm) {
		this.themeNm = themeNm;
	}
	public String getSeriesCd() {
		return seriesCd;
	}
	public void setSeriesCd(String seriesCd) {
		this.seriesCd = seriesCd;
	}
	
	public String getSeriesNm() {
		return seriesNm;
	}
	public void setSeriesNm(String seriesNm) {
		this.seriesNm = seriesNm;
	}
	public String getSeriesDesc() {
		return seriesDesc;
	}
	public void setSeriesDesc(String seriesDesc) {
		this.seriesDesc = seriesDesc;
	}
	public String getMainImg() {
		return mainImg;
	}
	public void setMainImg(String mainImg) {
		this.mainImg = mainImg;
	}
	public String getMainImgOrignlFileNm() {
		return mainImgOrignlFileNm;
	}
	public void setMainImgOrignlFileNm(String mainImgOrignlFileNm) {
		this.mainImgOrignlFileNm = mainImgOrignlFileNm;
	}
	public String getMainDesc() {
		return mainDesc;
	}
	public void setMainDesc(String mainDesc) {
		this.mainDesc = mainDesc;
	}
	public String getLinkUrl() {
		return linkUrl;
	}
	public void setLinkUrl(String linkUrl) {
		this.linkUrl = linkUrl;
	}
	public String getUseAt() {
		return useAt;
	}
	public void setUseAt(String useAt) {
		this.useAt = useAt;
	}
	public Date getCreateDt() {
		return createDt;
	}
	public void setCreateDt(Date createDt) {
		this.createDt = createDt;
	}
	public Date getUpdateDt() {
		return updateDt;
	}
	public void setUpdateDt(Date updateDt) {
		this.updateDt = updateDt;
	}	

	public String getAtchCtrl() {
		return atchCtrl;
	}

	public void setAtchCtrl(String atchCtrl) {
		this.atchCtrl = atchCtrl;
	}
}
